import java.awt.event.MouseEvent;
import java.awt.event.MouseMotionListener;
import java.applet.Applet;
import java.awt.Color;
import java.awt.Graphics;
import java.util.Random;

public class Gra extends Applet implements Runnable, MouseMotionListener {
	public static final int X_POCZATKOWE = 10;
	public static final int Y_POCZATKOWE = 10;
	public static final int ROZMIAR_PILECZKI = 10;
	public static final int ODSWIEZANIE = 40;
	public static final int WYSOKOSC_PALETKI = 10;
	public static final int SZEROKOSC_PALETKI = 100;
	public int xPaletki = 0;
	public int x = X_POCZATKOWE;
	public int y = Y_POCZATKOWE;
	public int vx = 10;
	public int vy = 10;
	public int punkty = 0;
	
	@Override
	public void init() {
		Thread t = new Thread(this);
		t.start();
		this.addMouseMotionListener(this);
	}
	@Override
	public void run() {
		for (;;) {
			if (x > getWidth() - ROZMIAR_PILECZKI) {
				vx = -vx;
			}
			if (y > getHeight() - ROZMIAR_PILECZKI - WYSOKOSC_PALETKI) {
				vy = -vy;
				if (x + ROZMIAR_PILECZKI > xPaletki && x < xPaletki + SZEROKOSC_PALETKI) {
					punkty++;
				} else {
					punkty--;
				}
			}
			if (x < 0) {
				vx = -vx;
			}
			if (y < 0) {
				vy = -vy;
			}
			x = x + vx;
			y = y + vy;
			this.repaint();
			try {Thread.sleep(ODSWIEZANIE);} catch (Exception e) {}
		}
	}
	@Override
	public void paint(Graphics g) {
		g.setColor(new Color(0xff0000));
		Random r = new Random();
		g.fillRect(x, y, ROZMIAR_PILECZKI, ROZMIAR_PILECZKI);
		g.setColor(Color.GREEN);
		g.fillRect(xPaletki, getHeight() - WYSOKOSC_PALETKI, SZEROKOSC_PALETKI, WYSOKOSC_PALETKI);
		g.setColor(Color.BLUE);
		g.drawString("punkty: " + punkty, 10, 10);
	}
	public void mouseMoved(MouseEvent e) {
		xPaletki = e.getX() - SZEROKOSC_PALETKI / 2;
	}
	public void mouseDragged(MouseEvent e) { }
}